Skip to content

EPFS Creation

POST
/api/v1/epfs/
curl --request POST \
--url 'https://api.e2enetworks.com/myaccount/api/v1/epfs/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"name": "epfs-127",
"size_in_gb": 1000,
"network_id": 34872
}'
project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

Media typeapplication/json
object
name
required
string

Example

epfs-127
size_in_gb
required
integer

Example

1000
network_id
required
integer

Example

34872

Cluster created successfully

Media typeapplication/json
object
code
integer
data
object
cluster_id
integer
errors
object
message
string

Example

{
"code": 201,
"data": {
"cluster_id": 145
},
"errors": {},
"message": "Created Successfully"
}